import java.util.Collection;

import javax.persistence.EntityManager;
import javax.persistence.Query;

public class ProfessorService {
  protected EntityManager em;

  public ProfessorService(EntityManager em) {
    this.em = em;
  }

  public Professor createProfessorAndAddress(int id, String name, int addrId, String street,
      String city, String state) {
    Professor emp = new Professor();
    emp.setId(id);
    emp.setName(name);
    Address addr = new Address();
    addr.setId(addrId);
    addr.setStreet(street);
    addr.setCity(city);
    addr.setState(state);
    emp.setAddress(addr);
    em.persist(emp);

    return emp;
  }

  public Collection<Professor> findAllProfessors() {
    Query query = em.createQuery("SELECT e FROM Professor e");
    return (Collection<Professor>) query.getResultList();
  }
}
